Name:           ocaml-camlidl
Version:        1.05
Release:        %mkrel 11
Summary:        Stub code generator and COM binding for Objective Caml
Group:          Development/OCaml
License:        QPL and LGPLv2 with exceptions
URL:            http://caml.inria.fr/pub/old_caml_site/camlidl/
Source0:        http://caml.inria.fr/pub/old_caml_site/distrib/bazar-ocaml/camlidl-%{version}.tar.gz
Source1:        http://caml.inria.fr/pub/old_caml_site/distrib/bazar-ocaml/camlidl-%{version}.doc.pdf

BuildRequires:  ocaml-compiler

%description
CamlIDL is a stub code generator and COM binding for Objective Caml.

CamlIDL comprises two parts:

* A stub code generator that generates the C stub code required for
  the Caml/C interface, based on an MIDL specification. (MIDL stands
  for Microsoft's Interface Description Language; it looks like C
  header files with some extra annotations, plus a notion of object
  interfaces that look like C++ classes without inheritance.)

* A (currently small) library of functions and tools to import COM
  components in Caml applications, and export Caml code as COM
  components.


%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n camlidl-%{version}
cp config/Makefile.unix config/Makefile
cp %{SOURCE1} .

# prevent if the META file appears in a future version
if [ -f META ]; then exit 1; fi
cat > META <<EOF
name = "camlidl"
version = "%{version}"
description = "Stub generator"
directory = "^"
archive(byte) = "com.cma"
archive(native) = "com.cmxa"
EOF

%build
make all OCAMLLIB=%{_libdir}/ocaml BINDIR=%{_bindir}

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_libdir}/ocaml
install -d -m 755 %{buildroot}%{_libdir}/ocaml/caml
install -d -m 755 %{buildroot}%{_libdir}/ocaml/camlidl
install -d -m 755 %{buildroot}%{_bindir}

make OCAMLLIB=%{buildroot}%{_libdir}/ocaml \
     BINDIR=%{buildroot}%{_bindir} \
     install

install -m 644 META %{buildroot}%{_libdir}/ocaml/camlidl/

%files
%doc LICENSE
%dir %{_libdir}/ocaml/camlidl
%{_libdir}/ocaml/camlidl/META
%{_libdir}/ocaml/*.cmi
%{_libdir}/ocaml/*.cma
%{_bindir}/camlidl

%files devel
%doc LICENSE README Changes camlidl-%{version}.doc.pdf tests
%{_libdir}/ocaml/caml/*.h
%{_libdir}/ocaml/*.a
%{_libdir}/ocaml/*.cmxa


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.05-11.mga3
+ Revision: 361203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.05-10.mga3
+ Revision: 301414
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.05-8.mga3
+ Revision: 300048
- new rpm group for ocaml

* Mon Nov 21 2011 malo <malo> 1.05-7.mga2
+ Revision: 170183
- adding META from Godi
- spec clean-up

* Sat Apr 30 2011 pterjan <pterjan> 1.05-6.mga1
+ Revision: 93950
- Bump release higher than Mandriva

* Mon Mar 07 2011 saispo <saispo> 1.05-1.mga1
+ Revision: 66153
- imported package ocaml-camlidl

